Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic.cache
Class EhCacheBasedAclEntryCache

    java.lang.Object
      org.acegisecurity.acl.basic.cache.EhCacheBasedAclEntryCache

All Implemented Interfaces:
  BasicAclEntryCache, InitializingBean

    public class EhCacheBasedAclEntryCache

extends Object
implements BasicAclEntryCache, InitializingBean

Caches `BasicAclEntry`s using a Spring IoC defined EHCACHE.

Version:
  $Id: EhCacheBasedAclEntryCache.java,v 1.5 2005/11/17 00:56:47 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`EhCacheBasedAclEntryCache()`

Method Summary
`void` | `afterPropertiesSet()`
`net.sf.ehcache.Cache` | `getCache()`
`BasicAclEntry[]` | `getEntriesFromCache(AclObjectIdentity aclObjectIdentity)` Obtains an array of `BasicAclEntry`s from the cache.
`void` | `putEntriesInCache(BasicAclEntry[] basicAclEntry)` Places an array of `BasicAclEntry`s in the cache.
`void` | `setCache(net.sf.ehcache.Cache cache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhCacheBasedAclEntryCache

    public EhCacheBasedAclEntryCache()

Method Detail

### setCache

    public void setCache(net.sf.ehcache.Cache cache)

### getCache

    public net.sf.ehcache.Cache getCache()

### getEntriesFromCache

    public BasicAclEntry[] getEntriesFromCache(AclObjectIdentity aclObjectIdentity)

  Description copied from interface: `BasicAclEntryCache`
  Obtains an array of `BasicAclEntry`s from the cache.

  Specified by:
    `getEntriesFromCache` in interface `BasicAclEntryCache`
  Parameters:
    `aclObjectIdentity` - which should be obtained from the cache
  Returns:
    any applicable `BasicAclEntry`s (no `null`s are permitted in the returned array) or `null` if the object identity could not be found or if the cache entry has expired

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### putEntriesInCache

    public void putEntriesInCache(BasicAclEntry[] basicAclEntry)

  Description copied from interface: `BasicAclEntryCache`
  Places an array of `BasicAclEntry`s in the cache.

  No `null`s are allowed in the passed array. If any `null` is passed, the implementation may throw an exception.

  Specified by:
    `putEntriesInCache` in interface `BasicAclEntryCache`
  Parameters:
    `basicAclEntry` - the ACL entries to cache (the key will be extracted from the `BasicAclEntry.getAclObjectIdentity()` method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.